/*
 *  
 * Script to update the xtoss schema between version 20 and 21.
 */

CREATE TABLE penalty_stats (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
    count INTEGER,
    type VARCHAR(100)
);

ALTER TABLE ice_hockey_defensive_stats ADD COLUMN  goals_allowed INTEGER;
ALTER TABLE ice_hockey_defensive_stats ADD COLUMN  shots_allowed INTEGER;

/* Some comment fields in odds tables have exceeded the previous 100 character limit */ 
ALTER TABLE wagering_moneylines MODIFY comment VARCHAR(256);
ALTER TABLE wagering_odds_lines MODIFY comment VARCHAR(256);
ALTER TABLE wagering_runlines MODIFY comment VARCHAR(256);
ALTER TABLE wagering_straight_spread_lines MODIFY comment VARCHAR(256);
ALTER TABLE wagering_total_score_lines MODIFY comment VARCHAR(256);

CREATE TABLE rankings (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
    document_fixture_id INTEGER NOT NULL,
    participant_type VARCHAR(100) NOT NULL,
    participant_id INTEGER NOT NULL,
    issuer VARCHAR(100),
    ranking_type VARCHAR(100),
    ranking_value VARCHAR(100),
    ranking_value_previous VARCHAR(100),
    date_coverage_type VARCHAR(100),
    date_coverage_id INTEGER
);

ALTER TABLE core_stats ADD COLUMN time_played_event VARCHAR(40);
ALTER TABLE core_stats ADD COLUMN time_played_total VARCHAR(40);
ALTER TABLE core_stats ADD COLUMN time_played_event_average VARCHAR(40);
ALTER TABLE core_stats ADD COLUMN events_played INTEGER;
ALTER TABLE core_stats ADD COLUMN events_started INTEGER;
ALTER TABLE core_stats ADD COLUMN position_id INTEGER;

ALTER TABLE events ADD COLUMN  time_certainty VARCHAR(100);

