/*
 *  
 * Script to update the xtoss schema between version 20 and 21.
 */

CREATE TABLE penalty_stats (
    id INT IDENTITY (1,1) NOT NULL PRIMARY KEY,
    count INTEGER,
    type VARCHAR(100)
)
GO

ALTER TABLE ice_hockey_defensive_stats ADD goals_allowed INTEGER;
GO
ALTER TABLE ice_hockey_defensive_stats ADD shots_allowed INTEGER;
GO

/* Some comment fields in odds tables have exceeded the previous 100 character limit */ 
ALTER TABLE wagering_moneylines ALTER COLUMN comment VARCHAR(256);
GO
ALTER TABLE wagering_odds_lines ALTER COLUMN comment VARCHAR(256);
GO
ALTER TABLE wagering_runlines ALTER COLUMN comment VARCHAR(256);
GO
ALTER TABLE wagering_straight_spread_lines ALTER COLUMN comment VARCHAR(256);
GO
ALTER TABLE wagering_total_score_lines ALTER COLUMN comment VARCHAR(256);
GO

CREATE TABLE rankings (
    id INT IDENTITY (1,1) NOT NULL PRIMARY KEY,
    document_fixture_id INTEGER NOT NULL,
    participant_type VARCHAR(100) NOT NULL,
    participant_id INTEGER NOT NULL,
    issuer VARCHAR(100),
    ranking_type VARCHAR(100),
    ranking_value VARCHAR(100),
    ranking_value_previous VARCHAR(100),
    date_coverage_type VARCHAR(100),
    date_coverage_id INTEGER
);
GO

ALTER TABLE core_stats ADD time_played_event VARCHAR(40);
GO
ALTER TABLE core_stats ADD time_played_total VARCHAR(40);
GO
ALTER TABLE core_stats ADD time_played_event_average VARCHAR(40);
GO
ALTER TABLE core_stats ADD events_played INTEGER;
GO
ALTER TABLE core_stats ADD events_started INTEGER;
GO
ALTER TABLE core_stats ADD position_id INTEGER;
GO

ALTER TABLE events ADD time_certainty VARCHAR(100);
GO
