/*
 *  
 * Script to update the sportsdb schema between version 25 and 26.
 */

ALTER TABLE outcome_totals ADD COLUMN wins_overtime INTEGER;

ALTER TABLE ice_hockey_defensive_stats ADD COLUMN goals_overtime_allowed INTEGER;
ALTER TABLE ice_hockey_defensive_stats ADD COLUMN goaltender_wins_overtime INTEGER;

ALTER TABLE ice_hockey_offensive_stats ADD COLUMN assists_game_winning INTEGER;
ALTER TABLE ice_hockey_offensive_stats ADD COLUMN assists_overtime INTEGER;

ALTER TABLE event_states ADD COLUMN document_id INTEGER;
ALTER TABLE american_football_event_states ADD COLUMN document_id INTEGER;
ALTER TABLE baseball_event_states ADD COLUMN document_id INTEGER;
ALTER TABLE basketball_event_states ADD COLUMN document_id INTEGER;
ALTER TABLE ice_hockey_event_states ADD COLUMN document_id INTEGER;
ALTER TABLE motor_racing_event_states ADD COLUMN document_id INTEGER;
ALTER TABLE soccer_event_states ADD COLUMN document_id INTEGER;
ALTER TABLE tennis_event_states ADD COLUMN document_id INTEGER;

ALTER TABLE baseball_offensive_stats ADD COLUMN pick_offs_against INTEGER;
ALTER TABLE baseball_offensive_stats ADD COLUMN sacrifices INTEGER;
ALTER TABLE baseball_offensive_stats ADD COLUMN outs_fly INTEGER;
ALTER TABLE baseball_offensive_stats ADD COLUMN outs_ground INTEGER;
ALTER TABLE baseball_offensive_stats ADD COLUMN reached_base_defensive_interference INTEGER;
ALTER TABLE baseball_offensive_stats ADD COLUMN reached_base_error INTEGER;
ALTER TABLE baseball_offensive_stats ADD COLUMN reached_base_fielder_choice INTEGER;
ALTER TABLE baseball_offensive_stats ADD COLUMN double_plays_against INTEGER;
ALTER TABLE baseball_offensive_stats ADD COLUMN triple_plays_against INTEGER;
ALTER TABLE baseball_offensive_stats ADD COLUMN strikeouts_looking INTEGER;
ALTER TABLE baseball_offensive_stats ADD COLUMN bases_on_balls_intentional INTEGER;

ALTER TABLE baseball_defensive_stats ADD COLUMN stolen_bases_average INTEGER;
ALTER TABLE baseball_defensive_stats ADD COLUMN stolen_bases_caught INTEGER;

ALTER TABLE baseball_pitching_stats ADD COLUMN batters_doubles_against INTEGER;
ALTER TABLE baseball_pitching_stats ADD COLUMN batters_triples_against INTEGER;
ALTER TABLE baseball_pitching_stats ADD COLUMN outs_recorded INTEGER;
ALTER TABLE baseball_pitching_stats ADD COLUMN batters_at_bats_against INTEGER;
ALTER TABLE baseball_pitching_stats ADD COLUMN number_of_strikes INTEGER;
ALTER TABLE baseball_pitching_stats ADD COLUMN wins_season INTEGER;
ALTER TABLE baseball_pitching_stats ADD COLUMN losses_season INTEGER;
ALTER TABLE baseball_pitching_stats ADD COLUMN saves_season INTEGER;
ALTER TABLE baseball_pitching_stats ADD COLUMN saves_blown_season INTEGER;

ALTER TABLE baseball_action_pitches ADD COLUMN strikes INTEGER;
ALTER TABLE baseball_action_pitches ADD COLUMN balls INTEGER;


DELETE FROM db_info;
INSERT INTO db_info (version) VALUES ('26');

/* This change may not be needed. Run this query SEPARATELY from the above ones. */
ALTER TABLE baseball_offensive_stats RENAME COLUMN defensive_interference_reaches TO reached_base_defensive_interference;

/* Below are changes that may not be required and therefore may cause warnings. Run each query on its own separately from the above qeuries. */

/* May already be present. Run this query SEPARATELY from the above ones. */
ALTER TABLE ice_hockey_defensive_stats ADD COLUMN goaltender_losses_overtime INTEGER;
