/*
 *  
 * Script to update the sportsdb schema between version 25 and 26.
 */

ALTER TABLE outcome_totals ADD wins_overtime INTEGER;
GO

ALTER TABLE ice_hockey_defensive_stats ADD goals_overtime_allowed INTEGER;
GO
ALTER TABLE ice_hockey_defensive_stats ADD goaltender_wins_overtime INTEGER;
GO

ALTER TABLE ice_hockey_offensive_stats ADD assists_game_winning INTEGER;
GO
ALTER TABLE ice_hockey_offensive_stats ADD assists_overtime INTEGER;
GO

ALTER TABLE event_states ADD document_id INTEGER;
GO
ALTER TABLE american_football_event_states ADD document_id INTEGER;
GO
ALTER TABLE baseball_event_states ADD document_id INTEGER;
GO
ALTER TABLE basketball_event_states ADD document_id INTEGER;
GO
ALTER TABLE ice_hockey_event_states ADD document_id INTEGER;
GO
ALTER TABLE motor_racing_event_states ADD document_id INTEGER;
GO
ALTER TABLE soccer_event_states ADD document_id INTEGER;
GO
ALTER TABLE tennis_event_states ADD document_id INTEGER;
GO

ALTER TABLE baseball_offensive_stats ADD pick_offs_against INTEGER;
GO
ALTER TABLE baseball_offensive_stats ADD sacrifices INTEGER;
GO
ALTER TABLE baseball_offensive_stats ADD outs_fly INTEGER;
GO
ALTER TABLE baseball_offensive_stats ADD outs_ground INTEGER;
GO
ALTER TABLE baseball_offensive_stats ADD reached_base_defensive_interference INTEGER;
GO
ALTER TABLE baseball_offensive_stats ADD reached_base_error INTEGER;
GO
ALTER TABLE baseball_offensive_stats ADD reached_base_fielder_choice INTEGER;
GO
ALTER TABLE baseball_offensive_stats ADD double_plays_against INTEGER;
GO
ALTER TABLE baseball_offensive_stats ADD triple_plays_against INTEGER;
GO
ALTER TABLE baseball_offensive_stats ADD strikeouts_looking INTEGER;
GO
ALTER TABLE baseball_offensive_stats ADD bases_on_balls_intentional INTEGER;
GO

ALTER TABLE baseball_defensive_stats ADD stolen_bases_average INTEGER;
GO
ALTER TABLE baseball_defensive_stats ADD stolen_bases_caught INTEGER;
GO

ALTER TABLE baseball_pitching_stats ADD batters_doubles_against INTEGER;
GO
ALTER TABLE baseball_pitching_stats ADD batters_triples_against INTEGER;
GO
ALTER TABLE baseball_pitching_stats ADD outs_recorded INTEGER;
GO
ALTER TABLE baseball_pitching_stats ADD batters_at_bats_against INTEGER;
GO
ALTER TABLE baseball_pitching_stats ADD number_of_strikes INTEGER;
GO
ALTER TABLE baseball_pitching_stats ADD wins_season INTEGER;
GO
ALTER TABLE baseball_pitching_stats ADD losses_season INTEGER;
GO
ALTER TABLE baseball_pitching_stats ADD saves_season INTEGER;
GO
ALTER TABLE baseball_pitching_stats ADD saves_blown_season INTEGER;
GO

ALTER TABLE baseball_action_pitches ADD strikes INTEGER;
GO
ALTER TABLE baseball_action_pitches ADD balls INTEGER;
GO


DELETE FROM db_info;
GO

INSERT INTO db_info (version) VALUES ('26');
GO

/* Below are changes that may not be required and therefore may cause warnings. Run each query on its own separately from the above qeuries. */

/*
 * * NOTE
 * You may get a message like this
 * 
 * Error: The parameter @oldname is either ambiguous or the claimed @itemtype (COLUMN) was wrong.
 * 
 * Which indicates that the column in question was not mis-named
 * Run this query SEPARATELY from the above ones.
 * */ 
sp_rename "baseball_offensive_stats.defensive_interference_reaches", reached_base_defensive_interference, 'COLUMN';
GO

/* May already be present. Run this query SEPARATELY from the above ones. */
ALTER TABLE ice_hockey_defensive_stats ADD goaltender_losses_overtime INTEGER;
GO
