/*
 * $Id: sportsdb-extra-sports-mysql-3.sql 2975 2012-07-18 18:49:13Z ian $
 *
 * New volleyball stats table 
 * */
CREATE TABLE volleyball_attack_stats (
id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
attacks_rank INTEGER,
attacks_total INTEGER,
attack_attempts INTEGER,
attack_faults INTEGER,
attacks_in_play INTEGER,
attacks_percentage DECIMAL(5,2)
);

CREATE TABLE volleyball_block_stats (
id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
blocks_rank INTEGER,
blocks_total INTEGER,
block_attempts INTEGER,
block_faults INTEGER,
blocks_in_play INTEGER,
blocks_average_per_set DECIMAL(4,2)
);

CREATE TABLE volleyball_defense_stats (
id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
defense_rank INTEGER,
digs_total INTEGER,
dig_attempts INTEGER,
digs_faults INTEGER,
digs_in_play INTEGER,
digs_average_per_set DECIMAL(4,2)
);

CREATE TABLE volleyball_service_stats (
id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
service_rank INTEGER,
service_aces INTEGER,
service_attempts INTEGER,
service_faults INTEGER,
services_in_play INTEGER,
service_fastest INTEGER,
aces_average_per_set DECIMAL(4,2)
);

CREATE TABLE volleyball_setting_stats (
id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
setting_rank INTEGER,
running_sets_total INTEGER,
sets_attempts INTEGER,
sets_faults INTEGER,
sets_in_play INTEGER,
sets_average_per_set DECIMAL(4,2)
);

CREATE TABLE volleyball_receiving_stats (
id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
receptions_rank INTEGER,
receptions_excellent INTEGER,
receptions_attempts INTEGER,
receptions_faults INTEGER,
receptions_in_play INTEGER,
receptions_percentage DECIMAL(5,2)
);

CREATE TABLE volleyball_team_stats (
id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
points INTEGER,
point_attempts INTEGER,
errors_opponent INTEGER,
faults_opponent INTEGER
);

CREATE TABLE volleyball_player_stats (
id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
points INTEGER,
point_attempts INTEGER,
points_percentage_of_team DECIMAL(5,2)
);

/*
 * New water polo stats table 
 * */
CREATE TABLE water_polo_stats (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
    events_played INTEGER,
    sprints_won INTEGER,
    sprints_total INTEGER,
    technical_faults INTEGER
);

CREATE TABLE water_polo_offensive_stats (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
    goals_made INTEGER,
    goals_attempts INTEGER,
    goals_made_percentage INTEGER,
    action_shots_made INTEGER,
    action_shots_attempts INTEGER,
    center_shots_made INTEGER,
    center_shots_attempts INTEGER,
    extra_player_shots_made INTEGER,
    extra_player_shots_attempts INTEGER,
    five_meter_shots_made INTEGER,
    five_meter_shots_attempts INTEGER,
    penalty_shots_made INTEGER,
    penalty_shots_attempts INTEGER,
    counter_attack_shots_made INTEGER,
    counter_attack_shots_attempts INTEGER,
    assists INTEGER
);

CREATE TABLE water_polo_defensive_stats (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
    steals INTEGER,
    blocks INTEGER
);

CREATE TABLE water_polo_foul_stats (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
    center_forward_exclusions INTEGER,
    field_exclusions INTEGER,
    five_meter_penalties INTEGER,
    substitution_exclusions INTEGER
);

CREATE TABLE water_polo_goalkeeping_stats (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
    saves_total INTEGER,
    shots_total INTEGER,
    save_percentage INTEGER,
    action_shots_saves_total INTEGER,
    action_shots_total INTEGER,
    action_shots_save_percentage INTEGER,
    center_shots_saves_total INTEGER,
    center_shots_total INTEGER,
    center_shots_save_percentage INTEGER,
    extra_player_shots_saves_total INTEGER,
    extra_player_shots_total INTEGER,
    extra_player_shots_save_percentage INTEGER,
    five_meter_shots_saves_total INTEGER,
    five_meter_shots_total INTEGER,
    five_meter_shots_save_percentage INTEGER,
    penalty_shots_saves_total INTEGER,
    penalty_shots_total INTEGER,
    penalty_shots_save_percentage INTEGER,
    counter_attack_shots_saves_total INTEGER,
    counter_attack_shots_save_percentage INTEGER
);

ALTER TABLE soccer_offensive_stats ADD COLUMN possession VARCHAR(100);

/*
 * New handball stats table 
 * */
 
CREATE TABLE handball_offensive_stats (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
shots_on_goal INTEGER,
goals_total INTEGER,
shots_missed INTEGER,
shots_post INTEGER,
shots_blocked INTEGER,
shots_percentage INTEGER,
shots_six_meters INTEGER,
goals_six_meters INTEGER,
shots_percentage_six_meters INTEGER,
shots_wing INTEGER,
goals_wing INTEGER,
shots_percentage_wing INTEGER,
shots_nine_meters INTEGER,
goals_nine_meters INTEGER,
shots_percentage_nine_meters INTEGER,
shots_seven_meters INTEGER,
goals_seven_meters INTEGER,
shots_percentage_seven_meters INTEGER,
shots_fast_break INTEGER,
goals_fast_break INTEGER,
shots_percentage_fast_break INTEGER,
shots_breakthrough INTEGER,
goals_breakthrough INTEGER,
shots_percentage_fast_break INTEGER,
assists_total INTEGER,
turnovers INTEGER,
attacks_total INTEGER,
attacks_percentage INTEGER
);


CREATE TABLE handball_defensive_stats (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
shots_saved INTEGER,
steals INTEGER,
blocks INTEGER,
shots_allowed INTEGER,
saves INTEGER,
save_percentage INTEGER,
shots_allowed_six_meters INTEGER,
saves_six_meters INTEGER,
save_percentage_six_meters INTEGER,
shots_allowed_wing INTEGER,
saves_wing INTEGER,
save_percentage_wing INTEGER,
shots_allowed_nine_meters INTEGER,
saves_nine_meters INTEGER,
save_percentage_nine_meters INTEGER,
shots_allowed_seven_meters INTEGER,
saves_seven_meters INTEGER,
save_percentage_seven_meters INTEGER,
shots_allowed_fast_break INTEGER,
saves_fast_break INTEGER,
save_percentage_fast_break INTEGER,
shots_allowed_breakthrough INTEGER,
saves_breakthrough INTEGER,
save_percentage_breakthrough INTEGER
);

CREATE TABLE handball_penalty_stats (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
cards_yellow INTEGER,
cards_red INTEGER,
exclusions INTEGER,
technical_fouls INTEGER,
suspensions INTEGER,
cards_yellow_coach INTEGER,
cards_red_coach INTEGER,
exclusions_coach INTEGER,
suspensions_coach INTEGER
);


CREATE TABLE hockey_offensive_stats (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
goals INTEGER,
shots INTEGER,
shot_percentage INTEGER,
goals_field_goal INTEGER,
shots_field_goal INTEGER,
goals_penalty_corner INTEGER,
shots_penalty_corner INTEGER,
goals_penalty_stroke INTEGER,
shots_penalty_stroke INTEGER,
possession_percentage INTEGER
);

CREATE TABLE hockey_penalty_stats (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY,
cards_yellow INTEGER,
cards_red INTEGER,
cards_green INTEGER
);