/*
 * New volleyball stats table 
 * */
CREATE TABLE volleyball_stats (
    id INT IDENTITY (1,1) NOT NULL PRIMARY KEY,
    service_attempts INTEGER,
    service_successes INTEGER,
    service_faults INTEGER,
    service_aces INTEGER,
    service_fastest INTEGER,
    attack_attempts INTEGER,
    attack_successes INTEGER,
    block_attempts INTEGER,
    block_successes INTEGER,
    dig_successes INTEGER,
    dig_attempts INTEGER,
    spike_attempts INTEGER,
    spike_successes INTEGER,
    points INTEGER,
    point_attempts INTEGER,
    opponent_error INTEGER
);
GO

/*
 * New water polo stats table 
 * */
CREATE TABLE water_polo_stats (
    id INT IDENTITY (1,1) NOT NULL PRIMARY KEY,
    events_played INTEGER,
    sprints_won INTEGER,
    sprints_total INTEGER,
    technical_faults INTEGER
);
GO

CREATE TABLE water_polo_offensive_stats (
    id INT IDENTITY (1,1) NOT NULL PRIMARY KEY,
    goals_made INTEGER,
    goals_attempts INTEGER,
    goals_made_percentage INTEGER,
    action_shots_made INTEGER,
    action_shots_attempts INTEGER,
    center_shots_made INTEGER,
    center_shots_attempts INTEGER,
    extra_player_shots_made INTEGER,
    extra_player_shots_attempts INTEGER,
    five_meter_shots_made INTEGER,
    five_meter_shots_attempts INTEGER,
    penalty_shots_made INTEGER,
    penalty_shots_attempts INTEGER,
    counter_attack_shots_made INTEGER,
    counter_attack_shots_attempts INTEGER,
    assists INTEGER
);
GO

CREATE TABLE water_polo_defensive_stats (
    id INT IDENTITY (1,1) NOT NULL PRIMARY KEY,
    steals INTEGER,
    blocks INTEGER
);
GO

CREATE TABLE water_polo_foul_stats (
    id INT IDENTITY (1,1) NOT NULL PRIMARY KEY,
    center_forward_exclusions INTEGER,
    field_exclusions INTEGER,
    five_meter_penalties INTEGER,
    substitution_exclusions INTEGER
);
GO

CREATE TABLE water_polo_goalkeeping_stats (
    id INT IDENTITY (1,1) NOT NULL PRIMARY KEY,
    saves_total INTEGER,
    shots_total INTEGER,
    save_percentage INTEGER,
    action_shots_saves_total INTEGER,
    action_shots_total INTEGER,
    action_shots_save_percentage INTEGER,
    center_shots_saves_total INTEGER,
    center_shots_total INTEGER,
    center_shots_save_percentage INTEGER,
    extra_player_shots_saves_total INTEGER,
    extra_player_shots_total INTEGER,
    extra_player_shots_save_percentage INTEGER,
    five_meter_shots_saves_total INTEGER,
    five_meter_shots_total INTEGER,
    five_meter_shots_save_percentage INTEGER,
    penalty_shots_saves_total INTEGER,
    penalty_shots_total INTEGER,
    penalty_shots_save_percentage INTEGER,
    counter_attack_shots_saves_total INTEGER,
    counter_attack_shots_save_percentage INTEGER
);
GO
