# $Id: ProcessControl.pm 2125 2008-07-23 19:27:14Z ian $
package Core::ProcessControl;

use strict;
use File::Spec;
use File::Slurp;

sub new {
    my ($class, $home_dir, $instance) = @_;

	$instance ||= 'feedfetcher';
	my $abort_file = File::Spec->catfile($home_dir, ".${instance}_abort");
	my $self = { abort_file => $abort_file };
	bless $self, $class;
	return $self;
}

sub set_abort_cb { my ($self, $check_cb) = @_; $self->{check_cb} = $check_cb; }

sub set_abort {
	my ($self) = @_;
	write_file($self->{abort_file});
}

sub check_abort {
	my ($self) = @_;

	return 1 if $self->{check_cb} && &{$self->{check_cb}}();
	return -f $self->{abort_file};
}

sub remove_abort {
	my ($self) = @_;
	-f $self->{abort_file} && unlink $self->{abort_file};
}

1;

