# $RCSfile$; $Date: 2004-07-21 21:30:04 -0700 (Wed, 21 Jul 2004) $; $Revision: 600 $; $Name$
package Feedfetcher::Util;

use strict;
use Core::Configurator;
use Core::Util;

sub load_cfg {
	my ($cfg_file) = @_;

	$cfg_file = "feedfetcher" if !$cfg_file;
	my $home_path = Core::Util::get_home_path();
	my $cfg_path = "conf/${cfg_file}.cfg";

	my $cfg = new Core::Configurator($home_path, $cfg_path);

	return $cfg;
}

# Sportsml date to yyyy/mm/dd path
sub date_path {
	my ($date) = @_;
	
	my @date_arr = parse_iso_date($date);
	if (!@date_arr) {
		die "Bad date format: $date";
	}

	my ($year, $month, $day) = @date_arr;
	return sprintf("%04d/%02d/%02d", $year, $month, $day);
}

# Return year, month and day of and ISO 8601 format date
sub parse_iso_date {
	my ($date) = @_;

	my $match = $date =~ /^(\d\d\d\d)-?(\d\d)-?(\d\d)T/;
	$match or die "$date is not in SportsML format";
	
	my ($year, $month, $day) = ($1, $2, $3);
	return ($year, $month, $day);
}

1;