# $RCSfile$; $Date: 2005-02-10 16:48:17 -0800 (Thu, 10 Feb 2005) $; $Revision: 816 $; $Name$

package Feedfetcher::Validation::SchemaValidator;

use strict;

use base 'Feedfetcher::Validation::Validator';

use XML::Xerces;

sub init_plugin {
	my ($self) = @_;

	my $val_to_use = XML::Xerces::SchemaValidator->new();
	my $parser = $self->{vparser} = XML::Xerces::SAXParser->new($val_to_use);
	$parser->setValidationScheme ($XML::Xerces::AbstractDOMParser::Val_Auto);
	$parser->setErrorHandler(XML::Xerces::PerlErrorHandler->new());
	$parser->setDoNamespaces(1);
	$parser->setDoSchema(1);
}

sub test {
	my ($self, $doc, $xml) = @_;

	my $schema_path = $self->cfg->param("schema_path");
	$schema_path =~ s|\\|/|g;

	return undef if !defined $schema_path;

	my $nss = qq{ xmlns="http://www.sportsml.org/schema/" 
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
		xsi:schemaLocation="http://www.sportsml.org/schema/ $schema_path" };

	$xml =~ s|<sports-content\s?|<sports-content $nss|;

	$self->init_plugin();
	eval { $self->{vparser}->parse( XML::Xerces::MemBufInputSource->new($xml, "FFD") ) };

	if ($@) {
		my $msg = $@;
		$msg = parse_xerces_msg($msg);
		$self->schema_alert($msg);
#		print "DEBUG: $xml\n";
	}
}

sub parse_xerces_msg {
	my ($msg) = @_;

	my ($error, $file, $line, $col, $err_msg) = split(/\n/, $msg);
	$line =~ s/^.*?\ +//;
	$col =~ s/^.*?\ +//;
	$err_msg =~ s/^.*?\ +//;
	return "$err_msg (line: $line, col: $col)";
}

1;
