# $RCSfile$; $Date: 2009-06-20 10:31:52 -0700 (Sat, 20 Jun 2009) $; $Revision: 2476 $; $Name$

package Feedfetcher::WorkerData;

use strict;

use Carp;

sub new {
    my ($class, $data) = @_;

	my $self = {};
	bless $self, $class;
	$self->initialize($data);
	return $self;
}

sub initialize {
	my ($self, $data) = @_;

	$self->{data} = $data;
	$self->{parser} = XML::LibXML->new();
}

sub parse_string {
	my ($self, $str) = @_;

	# Some clients have reported the following error:
	#   Can't call method "parse_string" on unblessed reference
	# One client found the type of the parser object retrieved to
	# be "scalar". It should be "XML::LibXML". If it's not, re-create
	# and use that.
	unless (ref($self->{parser}) =~ /XML/) {
		$self->{parser} = XML::LibXML->new();
	}
	my $parser = $self->{parser};
	
	return $self->{parser}->parse_string($str);	
}		 

sub set_abort {
	my ($self) = @_;

	${$self->{data}->{abort}} = 1;
	$self->{data}->{queue_semaphore}->up;		# Free up processing thread
}

sub check_abort {
	my ($self) = @_;

	return ${$self->{data}->{abort}};
}

sub data {
	my ($self) = @_;

	return $self->{data};
}

sub main_lock {
	my ($self) = @_;

	return $self->data->{main_lock};
}

sub wait_till_empty {
	my ($self) = @_;

	until ($self->queues_empty) {
		sleep 5;
	}
}

sub queues_empty {
	my ($self) = @_;
	return !$self->{data}->{push_queue}->pending && 
		!$self->{data}->{pull_queue}->pending;
}

1;