# $RCSfile$; $Date: 2016-04-15 12:52:55 -0400 (Fri, 15 Apr 2016) $; $Revision: 3100 $; $Name$

# In case, add current directory to library path
# Sometimes perl seems to miss doing this.
# Assumes of course that the cwd is FeedFetcher's perl dir
use lib '.';

use strict;

use Feedfetcher::Boss;

use Getopt::Std;

$| = 1;
umask 0002;		# Set new files to group read/write

# Get command line options
my %opts;
Getopt::Std::getopts('hidvwtplaskRS:c:x:P:L:F:I:', \%opts);

# If the -h (help) argument was used, a help message will be printed and
# FeedFetcher will exit
my $args = Feedfetcher::Boss::init_args(%opts);

my $boss = Feedfetcher::Boss->new($args);

# Catch ctrl-c
$SIG{INT} = sub { $boss->set_interrupt; };

$boss->launch;

exit 0;
