# $Id: Affiliation.pm 2839 2011-02-09 20:37:32Z ian $

package FeedfetcherDeluxe::Entities::Affiliation;

use FeedfetcherDeluxe::Entities::Entity;
#use Core::DbUtil;
#use Core::XmlUtil;

=head1 NAME

FeedFetcherDeluxe::Entities::Affiliation

=head1 SYNOPSIS


=head1 Description

See Entity.pm to get an understanding of what basic capabilities this module inherits. Any methods or functions
found here are specific to this entity.

=cut

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );} 

sub setup_sql {
    my ($self) = @_;

    # Note: Not viable for all tables
#    $self->{'retrieve_id_by_key'} = $self->{dbh}->prepare(qq{
#        SELECT id
#        FROM $self->{table_name} 
#        WHERE $self->{name}_key=?
#        AND affiliation_type=?
#        AND publisher_id=?
#    });
#    
#    $self->{'retrieve_affiliation_phase_id_by_key'} = $self->{dbh}->prepare(qq{
#        SELECT id
#        FROM $self->{table_name} 
#        WHERE $self->{name}_key=?
#        AND affiliation_type=?
#        AND publisher_id=?
#    });
}

sub store_league_hieararchy {
    my ($self, $doc, $parent_key, $parent_id) = @_;
#    if 
}

# Find an affiliation for a key or create a new one and return the id
sub find_affiliation_id {
    my ( $self, $affiliation_key, $affiliation_type, $publisher_id ) = @_;
    
    return undef if ($affiliation_type =~ /^\s*$/ || $affiliation_key =~ /^\s*$/);
    
    my $affiliation_id = $self->retrieve_id_by_key(
        {
            'affiliation_key'  => $affiliation_key,
            'affiliation_type' => $affiliation_type,
            'publisher_id'     => $publisher_id
        }
    );

    if ( !$affiliation_id ) {
        $affiliation_id = $self->create(
            {
               'affiliation_key'  => $affiliation_key,
               'affiliation_type' => $affiliation_type,
               'publisher_id'     => $publisher_id
            }
        );
    }
    
    return $affiliation_id;
}

# Find document's league id
sub find_league_id {
    my ( $self, $node, $publisher_id ) = @_;
    
    my $affiliation_entity = FeedfetcherDeluxe::Entities::Affiliation->new( $self->{dbh}, $self->{log} );
    my $sportsml_document_entity = FeedfetcherDeluxe::Entities::SportsmlDocument->new($node, $self->{log});
    
    my $league_key = $sportsml_document_entity->get_content_code_key('league');
    return undef unless defined $league_key;
    
    my $league_id = $affiliation_entity->retrieve_id_by_key(
    {
        'affiliation_type' => 'league',
        'affiliation_key' => $league_key,
        'publisher_id' => $publisher_id
    }
    );

    # may or may not be undef, depending on whether the league affiliation was found
    return $league_id;
}

1;