# $Id: American_football_event_state.pm 2629 2009-11-17 21:41:38Z ian $

package FeedfetcherDeluxe::Entities::American_football_event_state;

use FeedfetcherDeluxe::Entities::Entity;
use FeedfetcherDeluxe::Entities::American_football_action_play;
use FeedfetcherDeluxe::Entities::American_football_action_participant;
#use Core::DbUtil;
#use Core::XmlUtil;

=head1 NAME

FeedFetcherDeluxe::Entities::American_football_event_state

=head1 SYNOPSIS


=head1 Description

See Entity.pm to get an understanding of what basic capabilities this module inherits. Any methods or functions
found here are specific to this entity.

=cut

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );} 

sub setup_sql {
    my ($self) = @_;
    
    $self->{'retrieve_ids_by_event_id_and_context'} = $self->{dbh}->prepare(qq{
        SELECT id
        FROM $self->{table_name}
        WHERE event_id=?
        AND context=?
        AND sequence_number=?
    });

}

# NOTE
# NEED TO ACTUALLY DELETE ALL FOR CONTEXT
# REMOVE sequence number check, but do this code prior to going through nodes
sub delete_by_event_id_and_context {
    my ($self, $event_id, $context, $sequence_number) = @_;
 
    my $american_football_action_play_entity = FeedfetcherDeluxe::Entities::American_football_action_play->new($self->{dbh}, $self->{log});
    my $american_football_action_participant_entity = FeedfetcherDeluxe::Entities::American_football_action_participant->new($self->{dbh}, $self->{log});
    
    $self->{'retrieve_ids_by_event_id_and_context'}->execute($event_id, $context, $sequence_number);
 
     while (my $row = $self->{'retrieve_ids_by_event_id_and_context'}->fetchrow_hashref()) {
        my $id = $row->{id};
        # Deletes action play participants too
#        $self->{log}->log("[DBG] *** Deleting action play for id $id");
        $american_football_action_play_entity->delete_by_event_state_id($id);        
     }
    $self->{'retrieve_ids_by_event_id_and_context'}->finish;    
	
	$self->delete(
	{
		'event_id'=>$event_id,
		'context'=>$context
	}
	);
}

1;