# $Id: Baseball_event_state.pm 2631 2009-11-17 21:44:53Z ian $

package FeedfetcherDeluxe::Entities::Baseball_event_state;

use FeedfetcherDeluxe::Entities::Entity;
use FeedfetcherDeluxe::Entities::Baseball_action_play;
#use Core::DbUtil;
#use Core::XmlUtil;

=head1 NAME

FeedFetcherDeluxe::Entities::Baseball_event_state

=head1 SYNOPSIS


=head1 Description

See Entity.pm to get an understanding of what basic capabilities this module inherits. Any methods or functions
found here are specific to this entity.

=cut

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );} 

sub setup_sql {
    my ($self) = @_;
    
    $self->{'retrieve_ids_by_event_id_and_context'} = $self->{dbh}->prepare(qq{
        SELECT id
        FROM $self->{table_name}
        WHERE event_id=?
        AND context=?
        AND sequence_number=?
    });

}

# NOTE
# NEED TO ACTUALLY DELETE ALL FOR CONTEXT
# REMOVE sequence number check, but do this code prior to going through nodes
sub delete_by_event_id_and_context {
    my ($self, $event_id, $context, $sequence_number) = @_;
 
    my $baseball_action_play_entity = FeedfetcherDeluxe::Entities::Baseball_action_play->new($self->{dbh}, $self->{log});
    
    $self->{'retrieve_ids_by_event_id_and_context'}->execute($event_id, $context, $sequence_number);
 
     while (my $row = $self->{'retrieve_ids_by_event_id_and_context'}->fetchrow_hashref()) {
        my $id = $row->{id};
        $baseball_action_play_entity->delete(
        {
            "baseball_event_state_id" => $id
        }
        );        
     }
    $self->{'retrieve_ids_by_event_id_and_context'}->finish;    
    
    $self->delete(
    {
        'event_id'=>$event_id,
        'context'=>$context
    }
    );
}

1;