# $Id: Bookmaker.pm 2123 2008-07-23 19:22:08Z ian $

package FeedfetcherDeluxe::Entities::Bookmaker;

use FeedfetcherDeluxe::Entities::Entity;
use FeedfetcherDeluxe::Entities::Team;
use FeedfetcherDeluxe::Entities::Display_name;
use FeedfetcherDeluxe::Entities::Wagering_moneyline;
#use Core::DbUtil;
use Core::XmlUtil;

=head1 NAME

Core::Entities::Bookmaker

=head1 SYNOPSIS


=head1 Description

See Entity.pm to get an understanding of what basic capabilities this module inherits. Any methods or functions
found here are specific to this entity.

=cut

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );} 

sub setup_sql {
    my ($self) = @_;
}

sub get_team {
    my ($self, $node, $publisher_id) = @_;

    if (! $team_node) {
    	return undef;
    }


     my $team_id = $team_entity->retrieve_id_by_key(
         {
             'team_key'     => $team_key,
             'publisher_id' => $publisher_id
        }
     );
    return $team_id;
}

sub store_from_doc {
    my ($self, $node, $publisher_id) = @_;
    
    my $bookmaker_id;
    
    my $display_name_entity = FeedfetcherDeluxe::Entities::Display_name->new( $self->{dbh}, $self->{log} );

    my $bookmaker_key = attribute($node, 'bookmaker-key');
    my $bookmaker_name = attribute($node, 'bookmaker-name');
#    my $bookmaker_key = 
    
    return if ! $bookmaker_key;
    
    $bookmaker_id = $self->retrieve_id_by_key(
        {
            'bookmaker_key' => $bookmaker_key,
            'publisher_id' => $publisher_id
        }
    );
    
    if (! $bookmaker_id) {
    	$bookmaker_id = $self->create(
    	{
    	   'bookmaker_key' => $bookmaker_key,
    	   'publisher_id' => $publisher_id
    	}
    	);
    	$display_name_entity->create(
        {
            'entity_type' => 'bookmakers',
            'entity_id'   => $bookmaker_id,
            'language'    => 'en-US',
            'full_name'   => $bookmaker_name
        }
        );
    }
    return $bookmaker_id;
}

1;