# $Id: Event_action_penalty.pm 2645 2009-11-18 03:43:29Z ian $

package FeedfetcherDeluxe::Entities::Event_action_penalty;

use vars qw(@ISA);
use strict;

use FeedfetcherDeluxe::Entities::Entity;
#use Core::DbUtil;
#use Core::XmlUtil;

=head1 NAME

FeedFetcherDeluxe::Entities::Event_action_penalty

=head1 SYNOPSIS


=head1 Description

See Entity.pm to get an understanding of what basic capabilities this module inherits. Any methods or functions
found here are specific to this entity.

=cut

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );} 

sub setup_sql {
    my ($self) = @_;

}

sub initialize_local {
    my ($self) = @_;

    # No fancy schmancy grammar detection, just an explicit fixing of what would be 'event_action_penaltys'
    $self->{table_name} = 'event_action_penalties';
}

# ************************************************************************************
# NOTE NEED TO TRANSLATE TYPE PROPERLY (team->teams, player->players)
#    recipient_type VARCHAR(100),
# ************************************************************************************
sub store_from_doc {
    my ( $self, $event_state_id, $node, $publisher_id ) = @_;

    my $node_name = $node->nodeName();

    my $person_entity = FeedfetcherDeluxe::Entities::Person->new( $self->{dbh}, $self->{log} );
    my $player_idref = $node->getAttribute('player-idref');
    return undef unless defined $player_idref;

    my $person_id = $person_entity->find_id_from_idref($node, $player_idref, $publisher_id);
    return undef unless defined $person_id;

    my $penalty_type = $node->getAttribute('penalty-type');
    my $penalty_level = $node->getAttribute('penalty-level');
#    my $recipient_type = $node->getAttribute('recipent-type');
    my $recipient_type = 'persons';
    my $caution_value = $node->getAttribute('caution-value');
    my $comment = $node->getAttribute('comment');

    my $event_action_penalty_id = $self->retrieve_id_by_key( 
    {
    	'event_state_id' => $event_state_id,
    	'recipient_id' => $person_id
    }
    );

    if (! defined $event_action_penalty_id) {
        $event_action_penalty_id = $self->create(
        {
            'event_state_id' => $event_state_id,
            'penalty_type' => $penalty_type,
            'penalty_level' => $penalty_level,
            'caution_value' => $caution_value,
            'recipient_type' => $recipient_type,
            'recipient_id' => $person_id,
            'comment' => $comment
        }
        );
    }
    else {
        $self->update(
        {
            'penalty_type' => $penalty_type,
            'penalty_level' => $penalty_level,
            'caution_value' => $caution_value,
            'recipient_type' => $recipient_type,
            'comment' => $comment
        },
        {
            'event_state_id' => $event_state_id,
            'recipient_id' => $person_id
        }
    );
    }
    
    return $event_action_penalty_id;
}

1;