# $Id: Ice_hockey_action_play.pm 2824 2011-02-04 20:13:39Z ian $

package FeedfetcherDeluxe::Entities::Ice_hockey_action_play;

use FeedfetcherDeluxe::Entities::Entity;
use FeedfetcherDeluxe::Entities::Ice_hockey_action_participant;
use FeedfetcherDeluxe::Entities::Ice_hockey_event_state;

#use Core::DbUtil;
#use Core::XmlUtil;

=head1 NAME

FeedFetcherDeluxe::Entities::Ice_hockey_action_play

=head1 SYNOPSIS


=head1 Description

See Entity.pm to get an understanding of what basic capabilities this module inherits. Any methods or functions
found here are specific to this entity.

=cut

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );} 

sub setup_sql {
    my ($self) = @_;
}

sub store_from_doc {
    my ($self, $node, $publisher_id) = @_;
	
	
}

sub delete_by_event_state_id {
    my ($self, $event_state_id) = @_;
	
	my $id = $self->retrieve_id_by_key(
	{
		'ice_hockey_event_state_id'=>$event_state_id
	}
	);
	
	if ($id) {
#      $self->{log}->log("[DBG] *** Deleting action participant for id $id");
		
        my $ice_hockey_action_participant_entity = FeedfetcherDeluxe::Entities::Ice_hockey_action_participant->new($self->{dbh}, $self->{log});
    	$ice_hockey_action_participant_entity->delete(
    	{
    		'ice_hockey_action_play_id'=>$id
    	}
    	);
	}
	
	$self->delete(
	{
		"ice_hockey_event_state_id" => $event_state_id
	}
	);
    my $ice_hockey_event_state_entity = FeedfetcherDeluxe::Entities::Ice_hockey_event_state->new($self->{dbh}, $self->{log});
    $ice_hockey_event_state_entity->delete(
    {
        'id'=>$id
    }
    );
}

sub clear_bad_plays {
    my ($self, $event_id, $document_id, $context) = @_;
    
#    print "document id: $document_id context: $context\n";
    my $sql = qq^
        SELECT id
        FROM ice_hockey_event_states
        WHERE ice_hockey_event_states.event_id=$event_id
        AND document_id != $document_id
        AND context='$context'
        AND current_state=0
    ^;
    
    my $sth = $self->{dbh}->prepare($sql);
    $sth->execute(@values);
    
    my $tbl_ary_ref = $sth->fetchall_arrayref([0]);
    $sth->finish;
    my $list = join ", ", @$tbl_ary_ref;
    
    foreach $id (@$tbl_ary_ref) {
        $self->delete_by_event_state_id(@$id[0]);
    }
}

1;