# $Id: Ice_hockey_event_state.pm 3020 2013-03-26 17:33:41Z ian $

package FeedfetcherDeluxe::Entities::Ice_hockey_event_state;

use FeedfetcherDeluxe::Entities::Entity;
use FeedfetcherDeluxe::Entities::Ice_hockey_action_play;
#use Core::DbUtil;
#use Core::XmlUtil;

# NOTE This entity is not used at the moment

=head1 NAME

FeedFetcherDeluxe::Entities::Ice_hockey_event_state

=head1 SYNOPSIS


=head1 Description

See Entity.pm to get an understanding of what basic capabilities this module inherits. Any methods or functions
found here are specific to this entity.

=cut

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );} 

sub setup_sql {
    my ($self) = @_;
    
    $self->{'retrieve_ids_by_event_id_and_context'} = $self->{dbh}->prepare(qq{
        SELECT id
        FROM $self->{table_name}
        WHERE event_id=?
        AND context=?
        AND sequence_number=?
    });

}

# NOTE
# NEED TO ACTUALLY DELETE ALL FOR CONTEXT
# REMOVE sequence number check, but do this code prior to going through nodes
sub delete_by_event_id_and_context {
    my ($self, $event_id, $context, $sequence_number) = @_;
 
    my $ice_hockey_action_play_entity = FeedfetcherDeluxe::Entities::Ice_hockey_action_play->new($self->{dbh}, $self->{log});
    
    # NOTE: sequence numbers can change in the HITS feed, probably leading to errors like the following:
    
    # http://redmine.xmlteam.com/redmine/issues/455
    
    # Mon Jan 28 08:22:31 2013 - [ERR] <xt.nhl.20059-BXG-20130128T082137-0500-FIN-FC0> DBD::mysql::st execute failed: 
    # Cannot delete or update a parent row: a foreign key constraint fails 
    # (`sportsdb_hits`.`ice_hockey_action_plays`, CONSTRAINT `FK_ice_hockey_event_states_ice_hockey_action_plays` 
    # FOREIGN KEY (`ice_hockey_event_state_id`) REFERENCES `ice_hockey_event_states` (`id`)) 
    # at FeedfetcherDeluxe/Entities/Entity.pm line 534.
    
    # The solution is to either ensure that the sequence numbers don't change between documents for the same play or
    # to clear out plays in a way that does not rely on sequence number
    $self->{'retrieve_ids_by_event_id_and_context'}->execute($event_id, $context, $sequence_number);
 
     while (my $row = $self->{'retrieve_ids_by_event_id_and_context'}->fetchrow_hashref()) {
        my $id = $row->{id};
        $ice_hockey_action_play_entity->delete(
        {
            "ice_hockey_event_state_id" => $id
        }
        );        
     }
    $self->{'retrieve_ids_by_event_id_and_context'}->finish;    
    
    $self->delete(
    {
        'event_id'=>$event_id,
        'context'=>$context
    }
    );
}

1;