# $Id: Affiliation.pm 2627 2009-11-17 21:40:23Z ian $

package FeedfetcherDeluxe::Entities::Sports_property;


#use FeedfetcherDeluxe::Entities::Entity;
#use Core::DbUtil;
use Core::XmlUtil;

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );}
use FeedfetcherDeluxe::Entities::MetaRecordMapper;
use FeedfetcherDeluxe::Entities::Participants_event;


sub initialize_local {
    my ($self) = @_;
    
    $self->{table_name} = 'sports_property';
}

# Find an affiliation for a key or create a new one and return the id
# $node will be a metadata node for person, team, site, etc.
sub process_all {
    my ( $self, $node, $sports_property_type, $sports_property_id, $publisher_id ) = @_;
    
    my @sports_property_nodes = $node->findnodes('child::sports-property');
    
    # If empty array returned from findnodes, return
    unless (@sports_property_nodes) {
        return;
    }

    my $sports_property_record_mapper = FeedfetcherDeluxe::Entities::MetaRecordMapper->new($self->{dbh}, $self->{log}, 'sports_property');
    my $found_sport_property_candidate = 0;
    my $participants_event_id = undef;
    if ($sports_property_type =~ /persons|teams/) {
    	my $event_id;
        my $event_metadata_node = firstnode($node, "ancestor::*[name() = 'sports-event']/event-metadata");
        # Look for participants_events record for the current team or player
        if (defined $event_metadata_node) {
        	my $event_key = $event_metadata_node->getAttribute('event-key');
        	if (defined $event_key) {
                my $event_record_mapper = FeedfetcherDeluxe::Entities::MetaRecordMapper->new($self->{dbh}, $self->{log}, 'events');
                $event_record_mapper->retrieve(
                {
                    'event_key'=>$event_key,
                    'publisher_id'=>$publisher_id
                }
                );
                $event_id = $event_record_mapper->get_id();
                if (defined $event_id) {
                	my $participants_event_entity = FeedfetcherDeluxe::Entities::Participants_event->new($self->{dbh}, $self->{log});
                	my $parent_node = firstnode($node, "./..");
                    $participants_event_id = $participants_event_entity->find_participants_event_id($parent_node, $publisher_id);
                    if ( defined $participants_event_id ) {
                    	$found_sport_property_candidate = 1;
                    }
                }
                else {
                	return;
                }
        	}
        }
    }

    foreach my $sports_property_node (@sports_property_nodes) {
        my $formal_name = $sports_property_node->getAttribute('formal-name');
        my $value = $sports_property_node->getAttribute('value');
        
        my $sports_property_type_to_use = $sports_property_type;
        my $sports_property_id_to_use = $sports_property_id;
        
        if ( $found_sport_property_candidate == 1 ) {
        	$sports_property_type_to_use = "participants_events";
        	$sports_property_id_to_use = $participants_event_id;
        }
        
        $sports_property_record_mapper->retrieve(
        {
            'sports_property_type'=>$sports_property_type_to_use,
            'sports_property_id'=>$sports_property_id_to_use,
            'formal_name'=>$formal_name
        }
        );
        $sports_property_record_mapper->set(
        {
            'value'=>$value
        }
        );
        $sports_property_record_mapper->save();
    }
    

}

1;