# $Id: Weather_condition.pm 2123 2008-07-23 19:22:08Z ian $

package FeedfetcherDeluxe::Entities::Weather_condition;

use vars qw(@ISA);

use strict;

use FeedfetcherDeluxe::Entities::Entity;
use FeedfetcherDeluxe::Entities::Event;

#use Core::DbUtil;
use Core::XmlUtil;

=head1 NAME

Core::Entities::Weather_condition

=head1 SYNOPSIS


=head1 Description

See Entity.pm to get an understanding of what basic capabilities this module inherits. Any methods or functions
found here are specific to this entity.

=cut

BEGIN{@ISA = qw ( FeedfetcherDeluxe::Entities::Entity );} 

sub setup_sql {
    my ($self) = @_;
}

sub store_from_doc {
    my ( $self, $node, $event_id ) = @_;

    my $temperature;
    my $temperature_units;
    my $humidity;
    my $site_stats_node;
    my $weather_code;

    $site_stats_node = solonode_optional($node, "descendant::site-stats");
    
    if ($site_stats_node) {
         $temperature = attribute($site_stats_node, 'temperature');
         $temperature_units = attribute($site_stats_node, 'temperature-units');
         $humidity = attribute($site_stats_node, 'humidity');
         $weather_code = attribute($site_stats_node, 'weather-code');            	
    }
    
# $self->{log}->log("[DBG] !!!!! temperature: $temperature");

    # Add other nodes here if they are needed. Test to decide to save or not
    if ($site_stats_node && ($temperature || $humidity || $weather_code)) {
        $self->delete({'event_id'=>$event_id});
        $self->create({'event_id'=>$event_id, 'temperature'=>$temperature, 'temperature_units' => $temperature_units, 'humidity'=>$humidity, 'weather_code' => $weather_code});	
    }
    
}

sub store_all_from_doc {
    my ( $self, $node, $publisher_id ) = @_;

    my $event_key;
    my $event_entity =
      FeedfetcherDeluxe::Entities::Event->new( $self->{dbh}, $self->{log} );

    my $event_id;
    my @event_metadata_nodes =
        $node->findnodes("/sports-content//sports-event/event-metadata");
    
    foreach my $metadata_node (@event_metadata_nodes) {
    	$event_key = attribute($metadata_node, 'event-key');
        $event_id = $event_entity->retrieve_id_by_key(
            {
                'event_key' => $event_key,
                'publisher_id' => $publisher_id
            }
        );
    	
    	$self->store_from_doc($metadata_node, $event_id);
    }

	
}

1;