# $Id: QueryCache.pm 2241 2008-10-06 19:46:24Z ian $

package Util::SharedData;

# use threads;
# use threads::shared;
use strict;

# Create between-instance shared hash
my $shared_data = {};

sub new {
    my ($class, $name) = @_;

    my $self = {};
    bless $self, $class;
    
    $self->{shared_data} = $shared_data;
    
    return $self;   
}

sub invalidate {
	my ($self, $k) = @_;
	
    $self->{shared_data}->{$k}  = undef;
}

sub set {
    my ($self, $k, $v) = @_;
    
    $self->{shared_data}->{$k} = $v;
}

sub get {
    my ($self, $k) = @_;

    return (defined $self->{shared_data}->{$k}) ? $self->{shared_data}->{$k} : undef;
}

sub invalidate_all {
    my ($self) = @_;
    
    $shared_data = {};
    $self->{shared_data} = $shared_data;
}
1;